<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="fichas">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="fitxa" maxOccurs="unbounded">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="nom" type="xs:string"/>
                            <xs:element name="clau">
                                <xs:simpleType >
                                    <xs:restriction base="xs:string">
                                       <xs:minLength value="4"/>
                                       <xs:maxLength value="10"/>
                                       <xs:pattern value="[a-zA-Z0-9]*"/>
                                    </xs:restriction>
                                </xs:simpleType>
                            </xs:element>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>    
            </xs:sequence>
        </xs:complexType>

    </xs:element>
  

</xs:schema>